#include "main.h"
#include "hal_dfu.h"

extern void PRE_Init(void);
extern void USR_Init(void);
extern void USR_Process(void);
 
int main(void)
{
#if BLE_DFU_ENANBLE
    hal_dfu_init();
#endif

    PRE_Init(); //用户初始化

#if BLE_DFU_ENANBLE
    hal_dfu_server_init();
#endif
    USR_Init(); //用户初始化
	  
    while (1)
    {			
        USR_Process();
    }
}
